* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background: #f5f7fb;
    color: #222;
}

.topbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 30px;
    background: #111827;
    box-shadow: 0 2px 10px rgba(0,0,0,0.08);
    flex-wrap: wrap;
    gap: 15px;
    position: sticky;
    top: 0px;
    z-index: 1;
}

.logo {
    font-size: 22px;
    font-weight: bold;
    color: #1a77f7;
}

.nav {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.nav a {
    text-decoration: none;
    color: rgb(245, 243, 243);
    font-weight: 600;
    font-size: 18px;
}

.auth {
    display: flex;
    gap: 10px;
}

.auth button,
.search-box button,
.actions button,
.buy {
    border: none;
    padding: 10px 14px;
    border-radius: 8px;
    cursor: pointer;
    background: #1a77f7;
    color: white;
        font-size: 16px;
    font-weight: 600;
}

.login {
    background: #1a77f7;
     font-size: 16px;
    font-weight: 600;
}

.page {
    max-width: 1400px;
    margin: 0 auto;
    padding: 20px;
    background: rgb(224, 237, 245);
    margin-top: 10px;
    border-radius: 20px;
}

.hero {
    display: grid;
    grid-template-columns: 1.2fr 1fr;
    gap: 20px;
    background: rgb(210, 233, 247);
    border-radius: 18px;
    padding: 30px;
    margin-bottom: 20px;
    align-items: center;
}

.hero-text h1 {
    font-size: 44px;
    margin-bottom: 12px;
    line-height: 1.1;
    
}

.hero-text p {
    color: #555;
    max-width: 550px;
    margin-bottom: 20px;
}

.search-box {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

.search-box select,
.search-box input {
    padding: 12px 14px;
    border: 1px solid #ddd;
    border-radius: 8px;
    outline: none;
}

.search-box input {
    flex: 1;
    min-width: 220px;
}

.hero-img img {
    width: 100%;
    height: auto;
    border-radius: 12px;
}
/* Main Layout */

.products-section{
    display:grid;
    grid-template-columns:260px 1fr;
    gap:25px;
}

/* Filter */

.filter-box{
    background:#fff;
    padding:20px;
    border-radius:15px;
    box-shadow:0 5px 15px rgba(0,0,0,.08);
    height:fit-content;
    position:sticky;
    top:20px;
}

.filter-box h2{
    margin-bottom:20px;
    color:#222;
}

.filter-item{
    margin-bottom:25px;
}

.filter-item h3{
    margin-bottom:12px;
    color:#333;
    font-size:18px;
}

.filter-item label{
    display:block;
    margin:10px 0;
    color:#666;
    cursor:pointer;
}

.filter-item input[type="radio"],
.filter-item input[type="checkbox"]{
    margin-right:8px;
}

.filter-item input[type="range"]{
    width:100%;
    margin:10px 0;
}

.filter-item p{
    color:#777;
    font-size:14px;
}

.filter-item select{
    width:100%;
    padding:10px;
    border:1px solid #ddd;
    border-radius:8px;
    outline:none;
}

/* Cards */

.cards{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;
}

.card{
    background:#fff;
    border-radius:18px;
    padding:20px;
    box-shadow:0 5px 15px rgba(0,0,0,.08);
    position:relative;
    transition:.3s;
}

.card:hover{
    transform:translateY(-8px);
     transition: 0.8s all ease;
}

.heart{
    position:absolute;
    right:18px;
    top:18px;
    font-size:22px;
    color:#777;
    cursor:pointer;
}
.heart_sub{
    position: relative;
}


.badge{
    background:#dff5df;
    color:green;
    padding:5px 12px;
    border-radius:20px;
    font-size:13px;
    font-weight:bold;
}

.blue{
    background:#dbeafe;
    color:#2563eb;
}

.orange{
    background:#fde7d8;
    color:#ea580c;
}

.card img{
    width:150px;
    display:block;
    margin:20px auto;
}

.card h2{
    font-size:24px;
    color:#222;
    margin-bottom:10px;
}

.rating{
    color:#f59e0b;
    font-weight:bold;
    margin-bottom:15px;
}

.rating span{
    color:#777;
    font-size:14px;
}

.card ul{
    margin-left:18px;
    margin-bottom:20px;
}

.card ul li{
    margin:8px 0;
    color:#555;
    font-size:15px;
}

.store{
    display:flex;
    justify-content:space-between;
    padding:10px 0;
    border-top:1px solid #eee;
    color:#444;
    font-weight:600;
}

.card button{
    width:100%;
    margin-top:18px;
    padding:12px;
    border:none;
    border-radius:10px;
    background:#2563eb;
    color:#fff;
    font-size:16px;
    cursor:pointer;
    transition:.3s;
}
.more{
    display:block;
    text-align:center;
    margin-top:18px;
    text-decoration:none;
    color:#2563eb;
    font-weight:bold;
}

.more:hover{
    text-decoration:underline;
}
.card button:hover{
    background:#1d4ed8;
}





.features{
    margin-top:30px;
    background:#fff;
    border-radius:16px;
    box-shadow:0 3px 12px rgba(0,0,0,.08);
    display:grid;
    grid-template-columns:repeat(5,1fr);
    overflow:hidden;
}

.feature-box{
    padding:25px 20px;
    display:flex;
    align-items:center;
    gap:15px;
    border-right:1px solid #eee;
}
.feature-box:hover .icon i{
    transform: rotate(359deg);
    transition: 0.8s all ease;
}
.feature-box:last-child{
    border-right:none;
}

.icon{
    width:55px;
    height:55px;
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:22px;
}
.icon:hover .icon i{
    transform: rotate(359deg);
    transition: 0.8s all ease;
}

.blue{
    background:#e0e7ff;
    color:#2563eb;
}

.green{
    background:#dcfce7;
    color:#16a34a;
}

.purple{
    background:#ede9fe;
    color:#7c3aed;
}

.orange{
    background:#ffedd5;
    color:#ea580c;
}

.pink{
    background:#fce7f3;
    color:#ec4899;
}

.text h3{
    font-size:18px;
    color:#1e3a8a;
    margin-bottom:6px;
    position: relative;
}
.footer_box h3{
    position: relative;
    display: inline-block;
    margin-bottom: 25px;
}

.footer_box h3::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -8px;
    width: 60px;
    height: 4px;
    background: linear-gradient(to right, #2563eb, #60d6fa);
    border-radius: 20px;
}
.text p{
    color:#555;
    font-size:14px;
    line-height:22px;
}

.footer{
    background: #111827;
    color: white;
    margin-top: 10px;
    padding-top: 50px;
}

.footer_container{
    width: 90%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(220px,1fr));
    gap: 30px;
}

.footer_box h2,
.footer_box h3{
    margin-bottom: 15px;
}

.footer_box p{
    color: #cbd5e1;
    line-height: 25px;
}

.footer_box ul{
    list-style: none;
}

.footer_box ul li{
    margin: 10px 0;
}

.footer_box ul li a{
    text-decoration: none;
    color: #cbd5e1;
    transition: .3s;
}

.footer_box ul li a:hover{
    color: #2563eb;
    letter-spacing: 3px;
     transition: 0.8s all ease;
}

.social a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: #1f2937;
    color: white;
    border-radius: 50%;
    margin-right: 10px;
    text-decoration: none;
    transition: .3s;
}

.social a:hover{
    background: #2563eb;
}

.footer_bottom{
    text-align: center;
    border-top: 1px solid #374151;
    margin-top: 40px;
    padding: 20px 0;
    color: #cbd5e1;
}
/* .content {
    display: grid;
    grid-template-columns: 280px 1fr;
    gap: 20px;
}

.filters,
.products {
    background: white;
    border-radius: 18px;
    padding: 20px;
}

.filters h2,
.section-head h2 {
    margin-bottom: 15px;
}

.filter-box {
    margin-bottom: 20px;
}

.filter-box h3 {
    margin-bottom: 10px;
    font-size: 16px;
}

.filter-box ul {
    list-style: none;
}

.filter-box li {
    padding: 6px 0;
    color: #444;
}

.section-head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 15px;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.product-grid {
    display: grid;
     grid-template-columns: repeat(3, 1fr);
    display: flex;
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
}

.card {
    border: 1px solid #eee;
    border-radius: 14px;
    padding: 15px;
    background: #fff;
    text-align: center;
}

.card img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 10px;
    margin-bottom: 12px;
}

.card h3 {
    font-size: 16px;
    min-height: 48px;
    margin-bottom: 10px;
}

.price {
    color: #111;
    font-weight: bold;
    font-size: 18px;
    margin-bottom: 12px;
}

.buy {
    width: 100%;
} 
 .card{
    width:350px;
    background:#fff;
    border-radius:18px;
    padding:20px;
    box-shadow:0 5px 20px rgba(0,0,0,.08);
    position:relative;
    transition:.3s;
}

.card:hover{
    transform:translateY(-5px);
}

.heart{
    position:absolute;
    top:18px;
    right:18px;
    font-size:22px;
    cursor:pointer;
    color:#666;
}

.badge{
    display:inline-block;
    background:#dff5df;
    color:green;
    font-size:13px;
    font-weight:bold;
    padding:5px 10px;
    border-radius:20px;
    margin-bottom:15px;
}

.card img{
    width:180px;
    display:block;
    margin:0 auto;
}

.details h2{
    margin-top:15px;
    font-size:28px;
    color:#222;
}

.rating{
    margin:10px 0;
    color:#f7b500;
    font-weight:bold;
}

.rating span{
    color:#777;
    font-size:14px;
}

.details ul{
    margin-left:18px;
    margin-bottom:20px;
}

.details ul li{
    margin:8px 0;
    color:#555;
    font-size:15px;
}

.store{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:12px 0;
    border-top:1px solid #eee;
}

.store span{
    font-weight:600;
}

.store button{
    background:#2563eb;
    color:#fff;
    border:none;
    padding:8px 16px;
    border-radius:8px;
    cursor:pointer;
    transition:.3s;
}

.store button:hover{
    background:#1d4ed8;
}

.more{
    display:block;
    text-align:center;
    margin-top:18px;
    text-decoration:none;
    color:#2563eb;
    font-weight:bold;
}

.more:hover{
    text-decoration:underline;
} */



